using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Collections;
using Syncfusion.Windows.Forms.Grid;

namespace ToolTip_App
{
    public partial class Form1 : Form
    {
        int row1 = -1;
        int col1 = -1;
        private System.Windows.Forms.ToolTip toolTip = new ToolTip();

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

            ArrayList list = new ArrayList();
            Example ex1 = new Example(1, 11, "sai", "America");
            Example ex2 = new Example(2, 22, "Anil", "China");
            Example ex3 = new Example(3, 33, "Hari", "Australia");

            list.Add(ex1);
            list.Add(ex2);
            list.Add(ex3);

            this.gridDataBoundGrid1.DataSource = list;

        }

        private void gridDataBoundGrid1_MouseMove(object sender, MouseEventArgs e)
        {
            int row, col;
            if (this.gridDataBoundGrid1.PointToRowCol(new Point(e.X, e.Y), out row, out col))
            {

                if ((col1 != col || row1 != row) && this.toolTip != null && this.toolTip.Active)
                    this.toolTip.Active = false;
                col1 = col;
                row1 = row;
                Graphics g = CreateGraphics();
                GridStyleInfo style = this.gridDataBoundGrid1[row, col];
                if (this.gridDataBoundGrid1.Model.ColWidths[col] - style.TextMargins.Left - style.TextMargins.Right
                > g.MeasureString(style.Text, style.GdipFont).Width)
                {
                    toolTip.SetToolTip(this.gridDataBoundGrid1, this.gridDataBoundGrid1[row1, col1].Text);
                    toolTip.Active = true;
                }
                g.Dispose();
            } 
        }
    }
}

public class Example
{
    public int x;
    public int y;
    public string name;
    public string town;

    public Example()
    {
    }

    public Example(int x, int y, string name, string town)
    {
        this.x = x;
        this.y = y;
        this.name = name;
        this.town = town;
    }

    public int X
    {
        get
        {
            return x;
        }
        set
        {
            x = value;
        }
    }

    public int Y
    {
        get
        {
            return y;
        }
        set
        {
            y = value;
        }
    }

    public string Name
    {
        get
        {
            return name;
        }
        set
        {
            name = value;
        }
    }

    public string Town
    {
        get
        {
            return town;
        }
        set
        {
            town = value;
        }
    }
}

    


   
   
        
